body {
  background-color: #000;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  margin: 0;
}
@font-face {
  font-family: "Roboto";
  src: url("../fonts/Roboto/Roboto-Light.ttf");
  font-weight: 300;
}
@font-face {
  font-family: "Roboto";
  src: url("../fonts/Roboto/Roboto-Regular.ttf");
  font-weight: 400;
}

@font-face {
  font-family: "Roboto";
  src: url("../fonts/Roboto/Roboto-Medium.ttf");
  font-weight: 500;
}

@font-face {
  font-family: "Roboto";
  src: url("../fonts/Roboto/Roboto-Bold.ttf");
  font-weight: 700;
}
@font-face {
  font-family: "Tenor Sans";
  src: url("../fonts/Tenor_Sans/TenorSans-Regular.ttf");
}

.error {
  display: block;
  color: #ff6363 !important;
  opacity: 1 !important;
  font-family: "Roboto";
}
/* ==============  RESETS ============== */
button {
  cursor: pointer;
}
.head-bar .container{
  display: flex;
  justify-content: space-between;
  width: 100%;
  gap: 16px;
}


.paytm-loader {
  color: #fff;
  width: 3px;
  aspect-ratio: 1;
  border-radius: 50%;
  box-shadow: 19px 0 0 7px, 38px 0 0 3px, 57px 0 0 0;
  transform: translateX(-38px);
  animation: loader 0.5s infinite alternate linear;
  -webkit-box-shadow: 19px 0 0 7px, 38px 0 0 3px, 57px 0 0 0;
  -webkit-transform: translateX(-38px);
  -webkit-animation: loader 0.5s infinite alternate linear;
}

@keyframes loader {
  50% {
    box-shadow: 19px 0 0 3px, 38px 0 0 7px, 57px 0 0 3px;
  }
  100% {
    box-shadow: 19px 0 0 0, 38px 0 0 3px, 57px 0 0 7px;
  }
}

@-webkit-keyframes loader {
  50% {
    box-shadow: 19px 0 0 3px, 38px 0 0 7px, 57px 0 0 3px;
  }
  100% {
    box-shadow: 19px 0 0 0, 38px 0 0 3px, 57px 0 0 7px;
  }
}


.container {
  max-width: 1280px;
  margin: 0 auto;
  padding-left: 16px;
  padding-right: 16px;
}
.pointer {
  cursor: pointer;
}
.mx-auto {
  margin: 0 auto;
}
.flex {
  display: flex;
}
.space-between {
  justify-content: space-between;
}

/* ======= HEADER =========== */

/* ======= HEADER =========== */

.head-bar {
  background: linear-gradient(270deg, #924dff 0%, #492780 100%);
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 8px 16px;
  gap: 130px;
  font-family: "Tenor Sans", sans-serif;
}
.head-bar .container {
  display: flex;
  justify-content: space-between;
  width: 100%;
  gap: 16px;
}

.head-bar span {
  color: #fff;
  text-transform: uppercase;
}

.head-bar-text1 span {
  display: flex;
  align-items: center;
  gap: 16px;
}

.header {
  background: linear-gradient(0deg, #262729 0%, #262729 100%);
  padding: 38px 0;
}

.box_header {
  display: flex;
}
.header_btns {
  display: flex;
  gap: 36px;
}
.header_btns button {
  font-family: "Roboto";
  font-size: 18px;
}


/* ========= OBRIGADO ============= */

.queroParticipar {
  background: #000;
  padding: 229px 0;
  background-size: cover;
  background-position: top;
  background-image: url("../images/aplicacao-bg.png");
}

.queroParticipar_title h1 {
  color: #fff;
  font-family: "Tenor Sans";
  font-size: 53px;
  font-style: normal;
  font-weight: 400;
  line-height: 59px;
  letter-spacing: -1.06px;
  max-width: 516px;
}
.queroParticipar_title span {
  color: #924dff;
  font-family: "Roboto";
  font-size: 23px;
  font-style: normal;
  font-weight: 400;
  line-height: 59px;
  margin-top: 8px;
}

.box_glass_2 button{
  margin-top: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.box_glass {
  border-radius: 41px;
  border: 2px solid #924dff;
  background: rgba(255, 255, 255, 0.1);
  box-shadow: 0px 15px 20px 0px rgba(109, 33, 230, 0.23);
  backdrop-filter: blur(15px);
  -webkit-backdrop-filter: blur(15px);
  padding: 64px;
  margin-top: -200px;
}
.bar-light {
  width: 100%;
  height: 14px;
  border-radius: 40px;
  opacity: 0.3;
  background: #924dff;
}
.bar-dark {
  position: absolute;
  width: 3.33%;
  height: 14px;
  border-radius: 40px;
  background: #924dff;
  top: 41px;
  transition: 0.3s;
}
.progress-bar {
  display: flex;
  flex-direction: column;
  margin-top: 30px;
  position: relative;
  overflow-x: hidden;
}

.box_glass h2 {
  color: #fff;
  font-family: "Tenor Sans";
  font-size: 37px;
  font-style: normal;
  font-weight: 400;
  line-height: 41px;
  letter-spacing: -0.74px;
  margin-bottom: 40px;
}
.box_glass span {
  color: #fff;
  font-family: "Roboto";
  font-size: 20px;
  font-style: normal;
  font-weight: 400;
  line-height: 28px;
  opacity: 0.4;
}
.progress-bar span {
  color: #924dff;
  font-family: "Roboto";
  font-size: 22px;
  font-style: normal;
  font-weight: 400;
  line-height: 33px;
  opacity: 1;
  margin-bottom: 8px;
}
 .hidden {
  display: none;
}
.labelsInputs{
  display: none;
}
.button:hover {
  background-color: #cc703f;
}

.button.disabled {
  opacity: 0.5;
}

.button.disabled:hover {
  background-color: #ff8552;
}

.form {
  width: 100%;
}

.form .progress-bar {
  width: 100%;
  list-style-type: none;
  display: flex;
  padding: 0;
  justify-content: center;
  margin-bottom: 3.5em;
}

.form .progress-bar li.progress-bar__dot {
  display: block;
  width: 0.6em;
  border-radius: 1000em;
  height: 0.6em;
  border: 0.2em solid #ff8552;
  background-color: white;
  cursor: pointer;
  transition: all 0.5s ease;
}

.form .progress-bar li.progress-bar__dot.full {
  background-color: #ff8552;
}

.form .progress-bar li.progress-bar__connector {
  display: block;
  width: 5em;
  border-radius: 1000em;
  height: 0.1em;
  background-color: #ff8552;
  margin-top: 0.45em;
}

.form label {
  font-weight: bold;
  font-size: 1.2em;
}

.form input {
  width: 100%;
  padding: 1.3em;
  margin-bottom: 3em;
  box-sizing: border-box;
  margin-top: 1em;
  border: none;
  border-radius: 0.5em;
  background-color: #e6e6e6;
  font-size: 1em;
  font-family: "Raleway", sans-serif;
}

.form input:focus {
  border: none;
}

.form .button-group {
  width: 100%;
  display: flex;
  justify-content: space-between;
  margin-top: 50px;
}

#previous {
  color: #924dff;
  font-family: Roboto;
  font-size: 20px;
  font-style: normal;
  font-weight: 500;
  line-height: 34px; /* 170% */
  letter-spacing: 1.4px;
  text-transform: uppercase;

  width: 194px;
  height: 58px;
  flex-shrink: 0;

  border-radius: 41px;
  border: 2px solid #924dff;
  box-shadow: 0px 15px 20px 0px rgba(109, 33, 230, 0.23);

  background: transparent;
}
#error-messages{
  flex-direction: column !important;
  gap: 0;
}
#next,
#validate {
  width: 194px;
  height: 58px;
  color: #fff;
  font-family: "Roboto";
  font-size: 20px;
  font-style: normal;
  font-weight: 400;
  line-height: 34px; /* 170% */
  letter-spacing: 1.4px;
  text-transform: uppercase;
  border: none;

  border-radius: 41px;
  background: linear-gradient(to right, #924dff , #492780, #924dff , #492780);
  box-shadow: 0px 15px 20px 0px rgba(109, 33, 230, 0.23);

  background-size: 300% 100%;
	moz-transition: all 0.4s ease-in-out;
  -o-transition: all 0.4s ease-in-out;
  -webkit-transition: all 0.4s ease-in-out;
  transition: all 0.4s ease-in-out;

  align-items: center;
  justify-content: center;
}
#next {
  display: flex;
}
#validate {
  margin-top: 24px;
  display: block;
}
.question {
  width: auto;
  background-color: #fff;
  border-radius: 100px;
  padding: 15px 66px;
  margin-bottom: 56px;
}
.question p {
  color: #262729;
  font-family: "Roboto";
  font-size: 21px;
  font-style: normal;
  font-weight: 500;
  line-height: 30px;
}
[type="radio"]:checked,
[type="radio"]:not(:checked) {
  position: absolute;
  left: -9999px;
}
[type="radio"]:checked + label,
[type="radio"]:not(:checked) + label {
  position: relative;
  padding-left: 28px;
  cursor: pointer;
  line-height: 20px;
  display: inline-block;
  color: #666;
  width: -webkit-fill-available;
  margin-bottom: 24px;
}
[type="radio"]:checked + label:before,
[type="radio"]:not(:checked) + label:before {
  content: "";
  position: absolute;
  left: 0;
  top: 5px;
  width: 50px;
  height: 50px;
  border-radius: 100%;

  background: white;
  backdrop-filter: blur(15px);
  -webkit-backdrop-filter: blur(15px);
}
[type="radio"]:checked + label:after,
[type="radio"]:not(:checked) + label:after {
  content: "";
  width: 22px;
  height: 22px;
  background: #924dff;
  position: absolute;
  top: 19px;
  left: 14px;
  border-radius: 100%;
  -webkit-transition: all 0.2s ease;
  transition: all 0.2s ease;
}
[type="radio"]:not(:checked) + label:after {
  opacity: 0;
  -webkit-transform: scale(0);
  transform: scale(0);
}
[type="radio"]:checked + label:after {
  opacity: 1;
  -webkit-transform: scale(1);
  transform: scale(1);
}
.inputsRadios label {
  width: auto;
}
.inputsRadios span {
  display: block;
  width: auto;
  border-radius: 41px;
  background: white;
  backdrop-filter: blur(15px);
  -webkit-backdrop-filter: blur(15px);

  padding: 8px 24px;

  margin-left: 53px;
  position: relative;
  top: 7px;
  color: #fff;
  opacity: 1;
}


.box_glass_2 .step1 > div {
  display: flex;
  gap: 16px;
  margin-bottom: 24px;
}
.box_glass_2 input {
  background: #3c3c3c;
  border-radius: 100px;
  height: 63px;
  width: 100%;
  padding-left: 24px;
  color: #fff;
  font-family: "Roboto";
  font-size: 23px;
  font-style: normal;
  font-weight: 400;
  line-height: 52px;
  border: none;
  outline: none;
  border: 2px solid transparent;
}
.box_glass_2 input:focus {
  border: 2px solid #924dff;
}
.box_glass_2 .step {
  display: flex;
  flex-direction: column;
}
.box_glass_2 .step span {
  color: #924dff;
  font-family: "Roboto";
  font-size: 22px;
  font-style: normal;
  font-weight: 400;
  line-height: 33px;
}

.box_glass_2 .step_loading {
  position: relative;
}
.box_glass_2 .bg-no-loading {
  width: 100%;
  border-radius: 40px;
  opacity: 0.3;
  background: #924dff;
  height: 14px;
}
.box_glass_2 .bg-loading {
  width: 50%;
  border-radius: 40px;
  height: 14px;
  border-radius: 40px;
  background: #924dff;
  position: absolute;
  top: 0;
}
.box_glass_2 .step1 {
  display: flex;
  flex-direction: column;
}
.box_glass_2 .form-group {
  display: flex;
  flex-direction: column;
  margin-bottom: 15px;
  margin-top: 50px;
}

.box_glass_2 .form-group div {
  display: flex;
  align-items: flex-start;
  max-width: 709px;
  align-items: center;
}
.box_glass_2 .form-group input {
  padding: 0;
  height: initial;
  width: initial;
  margin-bottom: 0;
  display: none;
  cursor: pointer;
}

.form-group label {
  position: relative;
  cursor: pointer;
  color: #fff;
  font-family: "Roboto";
  font-size: 15px;
  font-style: normal;
  font-weight: 400;
  line-height: 20px;
  display: contents;
}
.form-group div {
  position: relative;
}
.form-group label:before {
  content: "";
  -webkit-appearance: none;
  background-color: #686868;
  border: 2px solid #686868;
  border-radius: 4px;
  padding: 10px;
  display: inline-block;
  position: relative;
  vertical-align: middle;
  cursor: pointer;
  margin-right: 16px;
}

.box_glass_2 .form-group input:checked + label:after {
  content: "";
  display: block;
  position: absolute;
  top: 2px;
  left: 9px;
  width: 6px;
  height: 14px;
  border: solid #fff;
  border-width: 0 2px 2px 0;
  transform: rotate(45deg);
}
#validate {
  display: flex;
  align-items: center;
  justify-content: baseline;
}
#validate:disabled{
  cursor: not-allowed;
}
.mobile {
  display: none;
}
.form_section {
  display: none;
} 
.buttons_diagnostico{
  display: flex;
  justify-content: space-between;
  align-items: center;
}
#validate{
  margin: 0;
  margin-left: auto;
}
/* ===== FOOTER ======= */
footer {
  background-color: #000000;
  padding-top: 80px;
  margin-top: 80px;
  padding-bottom: 24px;
  background: radial-gradient(
      113.43% 113.43% at 50% 124.42%,
      rgba(146, 77, 255, 0.4) 0%,
      rgba(146, 77, 255, 0) 100%
    ),
    linear-gradient(0deg, #000 0%, #000 100%), #fff;
}
footer .container {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}
footer p,
footer a {
  color: #924dff;
  font-family: Tenor Sans;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 32px; /* 200% */
  letter-spacing: -0.32px;
}
footer div {
  display: flex;
  gap: 32px;
}
footer {
  background: radial-gradient(
      113.43% 113.43% at 50% 124.42%,
      rgba(146, 77, 255, 0.4) 0%,
      rgba(146, 77, 255, 0) 100%
    ),
    linear-gradient(0deg, #000 0%, #000 100%), #fff;
}

@media (max-width: 1550px) {
  .header {
    padding: 16px 0;
  }
  .hero {
    height: calc(100vh - 91px);
  }
}

@media (max-width: 800px) {
  .mobile {
    display: block;
  }
  .desktop {
    display: none;
  }
  .next-turma,
  .header_btns {
    display: none;
  }
  .header {
    padding: 24px 16px;
  }
  .header .container div {
    justify-content: center;
  }
  .head-bar-text1 span {
    font-size: 14px;
    text-align: center;
  }
  .head-bar-text1 span img {
    position: relative;
  }

  .header .container img {
    width: 189.14px;
    height: 48px;
  }
  .queroParticipar {
    padding: 80px 0;
    padding-top: 256px;
    background-position: top center;
    background-size: cover;
    background-repeat: no-repeat;
    background-image: url("../images/aplicacao-bg-mobile.png");
  }

  .queroParticipar_title h1 {
    font-size: 40px;
    line-height: normal;
  }
  .queroParticipar_title span {
    font-size: 20px;
    line-height: normal;
    margin-top: 32px;
    display: block;
  }
  .box_glass h2 {
    font-size: 32px;
    line-height: normal;
  }
  .box_glass span {
    font-size: 16px;
  }
  .box_glass > span {
    color: #fff;
    font-size: 18px;
    font-style: normal;
    line-height: 24px;
    margin-top: 12px;
    margin-bottom: 40px;
    display: block;
  }
  .progress-bar span {
    font-size: 20px;
  }
  .box_glass {
    margin-top: 0;
  }
  .box_glass {
    padding: 40px 16px;
  }
  .question {
    padding: 10px 16px;
    border-radius: 32px;
    padding: 16px;
  }
  .question p {
    font-size: 16px;
  }
  .form .progress-bar {
    margin-top: 16px;
    margin-bottom: 30px;
  }
  .box_glass_2 .step1 > div {
    flex-direction: column;
    margin-bottom: 16px;
  }
  .form-group {
    margin: 40px 0;
  }
  .box_glass_2 button {
    width: 100%;
    font-size: 18px;
  }

  [type="radio"]:checked + label:before,
  [type="radio"]:not(:checked) + label:before {
    width: 24px;
    height: 24px;
    top: 50%;
    transform: translateY(-50%);
  }
  [type="radio"]:checked + label:after,
  [type="radio"]:not(:checked) + label:after {
    width: 12px;
    height: 12px;
    left: 5.5px;
    top: 50%;
    transform: translateY(-50%);
  }
  .inputsRadios span {
    margin-left: 0;
    color: #fff;
    font-size: 14px;
    font-style: normal;
    line-height: 22px;
    padding: 12px 16px;
    top: 0;
  }
  .form_section {
    margin-top: -54px;
  }
  #next,
  #validate {
    width: 100%;
  }
  #previous {
    width: 100%;
  }
  .form .button-group {
    margin: 0;
    flex-direction: column-reverse;
    gap: 16px;
  }
  .buttons_diagnostico{
    display: flex;
    flex-direction: column-reverse;
    gap: 16px;
  }

  footer .container img {
    margin-bottom: 64px;
  }
  footer p,
  footer a {
    text-align: center;
  }
  footer div {
    flex-direction: column;
    justify-content: center;
    gap: 12px;
    align-items: center;
  }
}

@media(max-width: 580px){
  .box_glass_2 .form-group input:checked + label:after{
    top: 10px;
  }
}

